// EdgeManager.cpp
// This is a public example of how to communicate with an EdgeManager


#ifndef WLAYOUTWINDOW_H
#define WLAYOUTWINDOW_H

#include "WEdgeManager.h"

class WLayoutWindow : public BWindow
{
public:
					WLayoutWindow(BRect frame,
							const char *title, 
							window_type type = B_TITLED_WINDOW,
							uint32 flags = 0,
							uint32 workspace = B_CURRENT_WORKSPACE);
	virtual			~WLayoutWindow();
	virtual	void	Show();
	virtual void	FrameResized(float new_width, float new_height);
	float			old_width, old_height;
	WEdgeManager	*manager;
};

#endif